<?php

/*==============================================================================================

	--------------------------------------------------------------------------------------------
	SPIP Immo 3.1b is a SPIP's plugin for real estate agencies & agents
	Copyright (C) 2007-2009 SARL Comme a la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	--------------------------------------------------------------------------------------------
	SPIP Immo 3.1b est un plugin de SPIP  destination des agences immobilires
	Copyright (C) 2007-2009 SARL Comme  la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
	modifier au titre des clauses de la Licence Publique Gnrale GNU, telle
	que publie par la Free Software Foundation ; soit la version 2 de la
	Licence, ou ( votre discrtion) une version ultrieure quelconque.

	Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
	GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE
	CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique
	Gnrale GNU pour plus de dtails.

	Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale
	GNU avec ce programme ; si ce n'est pas le cas, crivez  la Free
	Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

==============================================================================================*/



	if (!defined("_ECRIRE_INC_VERSION")) return;

	function action_spipimmo_supprimer_annonce()
	{
		//Suppression de l'annonce dans la BDD
		$resSuppr=sql_delete("spip_annonces", "`id_annonce`=" . _request('arg'));
		if($resSuppr)
		{
			//Suppression image taille normal
			$handle=opendir(_DIR_IMG);
			while ($fichier = readdir($handle))
			{
				if(ereg("^immo" . _request('arg') . "-" . "[0-9]*.[a-zA-Z]*$", $fichier))
				{
					unlink(_DIR_IMG . $fichier);
				}
			}
			closedir($handle);

			//Suppression  vignette
			$handle=opendir(_SPIPIMMO_REP_VIGNETTES);
			while ($fichier = readdir($handle))
			{
				if(ereg("^immo" . _request('arg') . "-" . "[0-9]*.[a-zA-Z]*$", $fichier))
				{
					unlink(_SPIPIMMO_REP_VIGNETTES . $fichier);
				}
			}
			closedir($handle);

			//Suppression des documents dans la BDD
			sql_delete("spip_documents_annonces", "`numero_dossier`=" . _request('arg'));

			redirige_par_entete($_SERVER["HTTP_REFERER"] . '&suppr=1');
		}
		else
		{
			redirige_par_entete($_SERVER["HTTP_REFERER"] . '&suppr=0');
		}
	}
?>